Name:	        xerces-c
Version:        3.2.2
Release:        5
Summary:        A Validating XML Parser
License:        ASL 2.0
URL:	        http://xml.apache.org/xerces-c/
Source0:        http://archive.apache.org/dist/xerces/c/3/sources/xerces-c-%{version}.tar.gz
Patch1:         CVE-2018-1311.patch

BuildRequires:	dos2unix gcc-c++

%description 
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards ( DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces).

%package	devel
Summary:        Development documentation for xerces-c
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development documentation for xerces-c. 

%package help
Summary:        Help documentation for Xerces-C++
BuildArch:      noarch
Provides:       %{name}-doc = %{version}-%{release}
Obsoletes:      %{name}-doc < %{version}-%{release}

%description help
Help documentation for Xerces-C++.

%prep
%autosetup -n %{name}-%{version} -p1 
install -d _docs
cp -a samples/ _docs/

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%configure --disable-static --disable-sse2
%make_build V=1

%install
%make_install
iconv -f iso8859-1 -t utf-8 CREDITS > CREDITS.tmp
mv -f CREDITS.tmp CREDITS
cd doc
dos2unix -k *.xml
cd -
rm -rf $RPM_BUILD_ROOT%{_bindir}
%delete_la

%files
%license LICENSE
%{_libdir}/libxerces-c-3.2.so

%files devel
%{_libdir}/{libxerces-c.so,pkgconfig/xerces-c.pc}
%{_includedir}/xercesc/

%files help
%doc README NOTICE CREDITS doc _docs/*

%changelog
* Wed Feb 21 2024 wangkai <13474090681@163.com> - 3.2.2-5
- Refix CVE-2018-1311

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 3.2.2-4
- Completing build dependencies to fix gcc-c++ compiler missing error

* Tue Mar 23 2021 wangyue <wangyue92@huawei.com> - 3.2.2-3
- fix CVE-2018-1311

* Thu Mar 05 2020 daiqianwen <daiqianwen@huawei.com> - 3.2.2-2
- Package init
